Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::BufferedDeletes Class Reference

Holds buffered deletes, by docID, term or query. We hold two instances of this class: one for the deletes prior to the last flush, the other for deletes after the last flush. This is so if we need to abort (discard all buffered docs) we can also discard the buffered deletes yet keep the deletes done during previously flushed segments. More...

`#include <BufferedDeletes.h>`

Inheritance diagram for Lucene::BufferedDeletes:

## Public Member Functions

| BufferedDeletes (bool doTermSort)
virtual | ~BufferedDeletes ()
virtual String | getClassName ()
boost::shared_ptr < BufferedDeletes > | shared_from_this ()
int32_t | size ()
void | update (BufferedDeletesPtr in)
void | clear ()
void | addBytesUsed (int64_t b)
bool | any ()
void | remap (MergeDocIDRemapperPtr mapper, SegmentInfosPtr infos, Collection< Collection< int32_t > > docMaps, Collection< int32_t > delCounts, OneMergePtr merge, int32_t mergedDocCount)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | numTerms
MapTermNum | terms
MapQueryInt | queries
Collection< int32_t > | docIDs
int64_t | bytesUsed

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Holds buffered deletes, by docID, term or query. We hold two instances of this class: one for the deletes prior to the last flush, the other for deletes after the last flush. This is so if we need to abort (discard all buffered docs) we can also discard the buffered deletes yet keep the deletes done during previously flushed segments.

## Constructor & Destructor Documentation

Lucene::BufferedDeletes::BufferedDeletes | ( | bool | doTermSort) |  |

virtual Lucene::BufferedDeletes::~BufferedDeletes | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::BufferedDeletes::_getClassName | ( | ) |  |

inline static

void Lucene::BufferedDeletes::addBytesUsed | ( | int64_t | b) |  |

bool Lucene::BufferedDeletes::any | ( | ) |  |

void Lucene::BufferedDeletes::clear | ( | ) |  |

virtual String Lucene::BufferedDeletes::getClassName | ( | ) |  |

inline virtual

void Lucene::BufferedDeletes::remap | ( | MergeDocIDRemapperPtr | mapper,
|  | SegmentInfosPtr | infos,
|  | Collection< Collection< int32_t > > | docMaps,
|  | Collection< int32_t > | delCounts,
|  | OneMergePtr | merge,
|  | int32_t | mergedDocCount
| ) |  |

boost::shared_ptr< BufferedDeletes > Lucene::BufferedDeletes::shared_from_this | ( | ) |  |

inline

int32_t Lucene::BufferedDeletes::size | ( | ) |  |

void Lucene::BufferedDeletes::update | ( | BufferedDeletesPtr | in) |  |

## Field Documentation

int64_t Lucene::BufferedDeletes::bytesUsed

Collection<int32_t> Lucene::BufferedDeletes::docIDs

int32_t Lucene::BufferedDeletes::numTerms

MapQueryInt Lucene::BufferedDeletes::queries

MapTermNum Lucene::BufferedDeletes::terms

The documentation for this class was generated from the following file:

- BufferedDeletes.h

clucene.sourceforge.net